Bug 532046 - PPPoE password handling broken
PPPoE password handling broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-30 08:53 EDT by Serge Pavlovsky
Modified: 2010-12-03 22:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:35:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Serge Pavlovsky 2009-10-30 08:53:26 EDT
Description of problem:

i have eth0 for internal network, eth1 and ppp0 via pppoe to isp
networkmanager is unable to start my ppp0 for unknown reason, doesnt support dhcp classless routes on eth1, so i cant use it on every interface
if i just configure all interfaces in system-config-network, every app after login thinks that network is unavailable (despite all interfaces are up), thus firefox starts in offline mode and shows 50 tabs with "try again" button, etc
so i have to configure at least one interface in nm and it can only support my dumbest interface eth0

but now we have problem with /etc/resolv.conf

1. network service starts eth1, receives nameserver via dhcp, writes resolv.conf -- good
2. network service starts ppp0, receives nameservers via ppp, writes resolv.conf -- good
3. NetworkManager service starts eth0, writes empty resolv.conf -- bad
Comment 1 Dan Williams 2009-11-02 12:45:36 EST
NM should support pppoe on your device, and it does support classless DHCP routes as long as you have fixed dhclient-eth1.conf to show them:

https://lists.isc.org/pipermail/dhcp-users/2008-December/007629.html

can you attach a log of NM failing to activate the PPPoE interface?
Comment 2 Serge Pavlovsky 2009-11-02 13:27:46 EST
my isp uses option code 249 and windows clients understand it

[root@localhost dhcp]# cat dhclient.conf 
option classless-routes code 249 = array of unsigned integer 8;
send vendor-class-identifier "MSFT 5.0";
also request static-routes,classless-routes;
-----
this conf works with hand-made dhclient-up-hooks, but doesnt work with nm

nm cant see ppp0 connection made with s-c-n and marked as 'under control of networkmanager'

so i made new dsl connection in nm
while trying to connect i get sealert

\u0421\u0432\u043e\u0434\u043a\u0430:

SELinux is preventing /usr/sbin/pppd "write" access to /var/run/ppp0.pid.

\u041f\u043e\u0434\u0440\u043e\u0431\u043d\u043e\u0435 \u043e\u043f\u0438\u0441\u0430\u043d\u0438\u0435:

SELinux denied access requested by pppd. /var/run/ppp0.pid may be a mislabeled.
/var/run/ppp0.pid default SELinux type is pppd_var_run_t, but its current type
is var_run_t. Changing this file back to the default type, may fix your problem.

File contexts can be assigned to a file in the following ways.

  * Files created in a directory receive the file context of the parent
    directory by default.
  * The SELinux policy might override the default label inherited from the
    parent directory by specifying a process running in context A which creates
    a file in a directory labeled B will instead create the file with label C.
    An example of this would be the dhcp client running with the dhclient_t type
    and creating a file in the directory /etc. This file would normally receive
    the etc_t type due to parental inheritance but instead the file is labeled
    with the net_conf_t type because the SELinux policy specifies this.
  * Users can change the file context on a file using tools such as chcon, or
    restorecon.

This file could have been mislabeled either by user error, or if an normally
confined application was run under the wrong domain.

However, this might also indicate a bug in SELinux because the file should not
have been labeled with this type.

If you believe this is a bug, please file a bug report against this package.

\u0420\u0430\u0437\u0440\u0435\u0448\u0435\u043d\u0438\u0435 \u0434\u043e\u0441\u0442\u0443\u043f\u0430:

You can restore the default system context to this file by executing the
restorecon command. restorecon '/var/run/ppp0.pid', if this file is a directory,
you can recursively restore using restorecon -R '/var/run/ppp0.pid'.

\u041a\u043e\u043c\u0430\u043d\u0434\u0430 \u0438\u0441\u043f\u0440\u0430\u0432\u043b\u0435\u043d\u0438\u044f:

/sbin/restorecon '/var/run/ppp0.pid'

\u0414\u043e\u043f\u043e\u043b\u043d\u0438\u0442\u0435\u043b\u044c\u043d\u044b\u0435 \u0441\u0432\u0435\u0434\u0435\u043d\u0438\u044f:

\u0418\u0441\u0445\u043e\u0434\u043d\u044b\u0439 \u043a\u043e\u043d\u0442\u0435\u043a system_u:system_r:pppd_t:s0
\u0426\u0435\u043b\u0435\u0432\u043e\u0439 \u041a\u043e\u043d\u0442\u0435\u043a\u0441 unconfined_u:object_r:var_run_t:s0
\u0426\u0435\u043b\u0435\u0432\u044b\u0435 \u041e\u0431\u044a\u0435\u043a\u0442\u044b /var/run/ppp0.pid [ file ]
\u0418\u0441\u0442\u043e\u0447\u043d\u0438\u043a              pppd
\u041f\u0443\u0442\u044c \u043a \u0438\u0441\u0442\u043e\u0447\u043d\u0438\u043a\Uffffffff/usr/sbin/pppd
\u041f\u043e\u0440\u0442                      <\u041d\u0435\u0438\u0437\u0432\u0435\u0441\u0442\u043d\u043e>
\u0423\u0437\u0435\u043b                      localhost.localdomain
\u0418\u0441\u0445\u043e\u0434\u043d\u044b\u0435 \u043f\u0430\u043a\u0435\u0442\u044b ppp-2.4.4-13.fc12
\u0426\u0435\u043b\u0435\u0432\u044b\u0435 \u043f\u0430\u043a\u0435\u0442\u044b R 
RPM \u043f\u043e\u043b\u0438\u0442\u0438\u043a\u0438          selinux-policy-3.6.32-35.fc12
Selinux \u0430\u043a\u0442\u0438\u0432\u043d\u0430        True
\u0422\u0438\u043f \u043f\u043e\u043b\u0438\u0442\u0438\u043a\u0438       targeted
MLS \u0430\u043a\u0442\u0438\u0432\u043d\u0430            True
\u041f\u0440\u0438\u043d\u0443\u0434\u0438\u0442\u0435\u043b\u044c\u043d\u044b\u0439  Enforcing
\u0418\u043c\u044f \u0434\u043e\u043f.\u043c\u043e\u0434\u0443\u043b\u044f    restorecon
\u0418\u043c\u044f \u0445\u043e\u0441\u0442\u0430             localhost.localdomain
\u041f\u043b\u0430\u0442\u0444\u043e\u0440\u043c\u0430            Linux localhost.localdomain
                              2.6.31.5-96.fc12.x86_64 #1 SMP Fri Oct 23 19:30:30
                              EDT 2009 x86_64 x86_64
\u0421\u0447\u0435\u0442\u0447\u0438\u043a \u0443\u0432\u0435\u0434\u043e\u043c\u043b 1
\u041f\u0435\u0440\u0432\u044b\u0439 \u0437\u0430\u043c\u0435\u0447\u0435\u043d\u043d \u041f\u043d\u0434 02 \u041d\u043e\u044f 2009 20:14:15
\u041f\u043e\u0441\u043b\u0435\u0434\u043d\u0438\u0439 \u0437\u0430\u043c\u0435\u0447 \u041f\u043d\u0434 02 \u041d\u043e\u044f 2009 20:14:15
\u041b\u043e\u043a\u0430\u043b\u044c\u043d\u044b\u0439 ID         859e4674-3665-4960-9713-70fda4775277
\u041d\u043e\u043c\u0435\u0440\u0430 \u0441\u0442\u0440\u043e\u043a       

\u0421\u044b\u0440\u044b\u0435 \u0441\u043e\u043e\u0431\u0449\u0435\u043d\u0438\u044f 

node=localhost.localdomain type=AVC msg=audit(1257185655.935:64445): avc:  denied  { write } for  pid=6815 comm="pppd" name="ppp0.pid" dev=md127p4 ino=1200 scontext=system_u:system_r:pppd_t:s0 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file

node=localhost.localdomain type=SYSCALL msg=audit(1257185655.935:64445): arch=c000003e syscall=2 success=no exit=-13 a0=7f6cd9ab1760 a1=241 a2=1b6 a3=0 items=0 ppid=2706 pid=6815 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="pppd" exe="/usr/sbin/pppd" subj=system_u:system_r:pppd_t:s0 key=(null)


and in /var/log

Nov  2 20:14:15 localhost NetworkManager: <info>  (eth1): device state change: 8 -> 3 (reason 0)
Nov  2 20:14:15 localhost NetworkManager: <info>  (eth1): deactivating device (reason: 0).
Nov  2 20:14:15 localhost NetworkManager: <info>  (eth1): canceled DHCP transaction, dhcp client pid 5786
Nov  2 20:14:15 localhost NetworkManager: <WARN>  check_one_route(): (eth1) error -34 returned from rtnl_route_del(): Sucess#012
Nov  2 20:14:15 localhost avahi-daemon[2508]: Withdrawing address record for 10.0.39.227 on eth1.
Nov  2 20:14:15 localhost avahi-daemon[2508]: Leaving mDNS multicast group on interface eth1.IPv4 with address 10.0.39.227.
Nov  2 20:14:15 localhost avahi-daemon[2508]: Interface eth1.IPv4 no longer relevant for mDNS.
Nov  2 20:14:15 localhost nscd: 6801 Access Vector Cache (AVC) запущен
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) starting connection 'DSL-соединение 1'
Nov  2 20:14:15 localhost NetworkManager: <info>  (eth1): device state change: 3 -> 4 (reason 0)
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) started...
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) starting...
Nov  2 20:14:15 localhost NetworkManager: <info>  (eth1): device state change: 4 -> 5 (reason 0)
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) successful.
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) scheduled.
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) complete.
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) started...
Nov  2 20:14:15 localhost NetworkManager: <info>  (eth1): device state change: 5 -> 7 (reason 0)
Nov  2 20:14:15 localhost NetworkManager: <info>  Starting pppd connection
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) scheduled...
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) complete.
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) started...
Nov  2 20:14:15 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) complete.
Nov  2 20:14:15 localhost pppd[6815]: Warning: can't open options file /root/.ppprc: Permission denied
Nov  2 20:14:15 localhost pppd[6815]: Plugin rp-pppoe.so loaded.
Nov  2 20:14:15 localhost pppd[6815]: RP-PPPoE plugin version 3.3 compiled against pppd 2.4.4
Nov  2 20:14:15 localhost pppd[6815]: Plugin /usr/lib64/pppd/2.4.4/nm-pppd-plugin.so loaded.
Nov  2 20:14:15 localhost pppd[6815]: pppd 2.4.4 started by root, uid 0
Nov  2 20:14:15 localhost pppd[6815]: PPP session is 1205
Nov  2 20:14:15 localhost kernel: NET: Registered protocol family 24
Nov  2 20:14:15 localhost pppd[6815]: Using interface ppp0
Nov  2 20:14:15 localhost pppd[6815]: Failed to create pid file /var/run/ppp0.pid: Permission denied
Nov  2 20:14:15 localhost pppd[6815]: Connect: ppp0 <--> eth1
Nov  2 20:14:17 localhost ntpd[2872]: Deleting interface #39 eth1, 10.0.39.227#123, interface stats: received=0, sent=0, dropped=0, active_time=430 secs
Nov  2 20:14:19 localhost setroubleshoot: SELinux is preventing /usr/sbin/pppd "write" access to /var/run/ppp0.pid. For complete SELinux messages. run sealert -l 859e4674-3665-4960-9713-70fda4775277
Nov  2 20:14:20 localhost pulseaudio[3406]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  2 20:14:25 localhost pulseaudio[3406]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  2 20:14:30 localhost pulseaudio[3406]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  2 20:14:35 localhost pulseaudio[3406]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  2 20:14:36 localhost NetworkManager: <WARN>  pppd_timed_out(): Looks like pppd didn't initialize our dbus module
Nov  2 20:14:36 localhost NetworkManager: <info>  (eth1): device state change: 7 -> 9 (reason 14)
Nov  2 20:14:36 localhost NetworkManager: <info>  Marking connection 'DSL-соединение 1' invalid.
Nov  2 20:14:36 localhost NetworkManager: <info>  Activation (eth1) failed.
Nov  2 20:14:36 localhost NetworkManager: <info>  (eth1): device state change: 9 -> 3 (reason 0)
Nov  2 20:14:36 localhost NetworkManager: <info>  (eth1): deactivating device (reason: 0).
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) starting connection 'System eth1'
Nov  2 20:14:39 localhost NetworkManager: <info>  (eth1): device state change: 3 -> 4 (reason 0)
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) started...
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) starting...
Nov  2 20:14:39 localhost NetworkManager: <info>  (eth1): device state change: 4 -> 5 (reason 0)
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) successful.
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) scheduled.
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) complete.
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) started...
Nov  2 20:14:39 localhost NetworkManager: <info>  (eth1): device state change: 5 -> 7 (reason 0)
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Beginning DHCP transaction (timeout in 45 seconds)
Nov  2 20:14:39 localhost dhclient: Internet Systems Consortium DHCP Client 4.1.0p1
Nov  2 20:14:39 localhost dhclient: Copyright 2004-2009 Internet Systems Consortium.
Nov  2 20:14:39 localhost dhclient: All rights reserved.
Nov  2 20:14:39 localhost dhclient: For info, please visit http://www.isc.org/sw/dhcp/
Nov  2 20:14:39 localhost dhclient: 
Nov  2 20:14:39 localhost NetworkManager: <info>  dhclient started with pid 6922
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) scheduled...
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) complete.
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) started...
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) complete.
Nov  2 20:14:39 localhost NetworkManager: <info>  DHCP: device eth1 state changed normal exit -> preinit
Nov  2 20:14:39 localhost dhclient: Listening on LPF/eth1/00:80:48:42:c3:0f
Nov  2 20:14:39 localhost dhclient: Sending on   LPF/eth1/00:80:48:42:c3:0f
Nov  2 20:14:39 localhost dhclient: Sending on   Socket/fallback
Nov  2 20:14:39 localhost dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67
Nov  2 20:14:39 localhost dhclient: DHCPACK from 10.0.38.1
Nov  2 20:14:39 localhost dhclient: bound to 10.0.39.227 -- renewal in 4571 seconds.
Nov  2 20:14:39 localhost NetworkManager: <info>  DHCP: device eth1 state changed preinit -> reboot
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP4 Configure Get) scheduled...
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP4 Configure Get) started...
Nov  2 20:14:39 localhost NetworkManager: <info>    address 10.0.39.227
Nov  2 20:14:39 localhost NetworkManager: <info>    prefix 23 (255.255.254.0)
Nov  2 20:14:39 localhost NetworkManager: <info>    gateway 10.0.39.250
Nov  2 20:14:39 localhost NetworkManager: <info>    nameserver '195.138.80.33'
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 5 of 5 (IP Configure Commit) scheduled...
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP4 Configure Get) complete.
Nov  2 20:14:39 localhost NetworkManager: <info>  Activation (eth1) Stage 5 of 5 (IP Configure Commit) started...
Nov  2 20:14:39 localhost avahi-daemon[2508]: Joining mDNS multicast group on interface eth1.IPv4 with address 10.0.39.227.
Nov  2 20:14:39 localhost avahi-daemon[2508]: New relevant interface eth1.IPv4 for mDNS.
Nov  2 20:14:39 localhost avahi-daemon[2508]: Registering new address record for 10.0.39.227 on eth1.IPv4.
Nov  2 20:14:40 localhost nscd: 6934 Access Vector Cache (AVC) запущен
Nov  2 20:14:40 localhost NetworkManager: <info>  (eth1): device state change: 7 -> 8 (reason 0)
Nov  2 20:14:40 localhost nscd: 6954 Access Vector Cache (AVC) запущен
Nov  2 20:14:40 localhost NetworkManager: <info>  Policy set 'System eth1' (eth1) as default for routing and DNS.
Nov  2 20:14:40 localhost NetworkManager: <info>  Activation (eth1) successful, device activated.
Nov  2 20:14:40 localhost NetworkManager: <info>  Activation (eth1) Stage 5 of 5 (IP Configure Commit) complete.
Nov  2 20:14:40 localhost pulseaudio[3406]: sap.c: sendmsg() failed: Недопустимый аргумент

trying again after /sbin/restorecon '/var/run/ppp0.pid'

Nov  2 20:22:42 localhost NetworkManager: <info>  (eth1): device state change: 8 -> 3 (reason 0)
Nov  2 20:22:42 localhost NetworkManager: <info>  (eth1): deactivating device (reason: 0).
Nov  2 20:22:42 localhost NetworkManager: <info>  (eth1): canceled DHCP transaction, dhcp client pid 6922
Nov  2 20:22:42 localhost NetworkManager: <WARN>  check_one_route(): (eth1) error -34 returned from rtnl_route_del(): Sucess#012
Nov  2 20:22:42 localhost avahi-daemon[2508]: Withdrawing address record for 10.0.39.227 on eth1.
Nov  2 20:22:42 localhost avahi-daemon[2508]: Leaving mDNS multicast group on interface eth1.IPv4 with address 10.0.39.227.
Nov  2 20:22:42 localhost avahi-daemon[2508]: Interface eth1.IPv4 no longer relevant for mDNS.
Nov  2 20:22:42 localhost nscd: 7867 Access Vector Cache (AVC) запущен
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) starting connection 'DSL-соединение 1'
Nov  2 20:22:42 localhost NetworkManager: <info>  (eth1): device state change: 3 -> 4 (reason 0)
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) started...
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) starting...
Nov  2 20:22:42 localhost NetworkManager: <info>  (eth1): device state change: 4 -> 5 (reason 0)
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) successful.
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) scheduled.
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) complete.
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) started...
Nov  2 20:22:42 localhost NetworkManager: <info>  (eth1): device state change: 5 -> 7 (reason 0)
Nov  2 20:22:42 localhost NetworkManager: <info>  Starting pppd connection
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) scheduled...
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) complete.
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) started...
Nov  2 20:22:42 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) complete.
Nov  2 20:22:42 localhost pppd[7879]: Warning: can't open options file /root/.ppprc: Permission denied
Nov  2 20:22:42 localhost pppd[7879]: Plugin rp-pppoe.so loaded.
Nov  2 20:22:42 localhost pppd[7879]: RP-PPPoE plugin version 3.3 compiled against pppd 2.4.4
Nov  2 20:22:42 localhost pppd[7879]: Plugin /usr/lib64/pppd/2.4.4/nm-pppd-plugin.so loaded.
Nov  2 20:22:42 localhost pppd[7879]: pppd 2.4.4 started by root, uid 0
Nov  2 20:22:42 localhost pppd[7879]: PPP session is 92
Nov  2 20:22:42 localhost pppd[7879]: Using interface ppp0
Nov  2 20:22:42 localhost pppd[7879]: Connect: ppp0 <--> eth1
Nov  2 20:22:43 localhost pulseaudio[3406]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  2 20:22:44 localhost ntpd[2872]: Deleting interface #40 eth1, 10.0.39.227#123, interface stats: received=0, sent=3, dropped=0, active_time=483 secs
Nov  2 20:22:48 localhost pulseaudio[3406]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  2 20:22:53 localhost pulseaudio[3406]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  2 20:22:58 localhost pulseaudio[3406]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  2 20:23:03 localhost NetworkManager: <WARN>  pppd_timed_out(): Looks like pppd didn't initialize our dbus module
Nov  2 20:23:03 localhost NetworkManager: <info>  (eth1): device state change: 7 -> 9 (reason 14)
Nov  2 20:23:03 localhost NetworkManager: <info>  Marking connection 'DSL-соединение 1' invalid.
Nov  2 20:23:03 localhost NetworkManager: <info>  Activation (eth1) failed.
Nov  2 20:23:03 localhost NetworkManager: <info>  (eth1): device state change: 9 -> 3 (reason 0)
Nov  2 20:23:03 localhost NetworkManager: <info>  (eth1): deactivating device (reason: 0).
Nov  2 20:23:03 localhost pulseaudio[3406]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) starting connection 'System eth1'
Nov  2 20:23:06 localhost NetworkManager: <info>  (eth1): device state change: 3 -> 4 (reason 0)
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) started...
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) starting...
Nov  2 20:23:06 localhost NetworkManager: <info>  (eth1): device state change: 4 -> 5 (reason 0)
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) successful.
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) scheduled.
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) complete.
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) started...
Nov  2 20:23:06 localhost NetworkManager: <info>  (eth1): device state change: 5 -> 7 (reason 0)
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Beginning DHCP transaction (timeout in 45 seconds)
Nov  2 20:23:06 localhost NetworkManager: <info>  dhclient started with pid 7931
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) scheduled...
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) complete.
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) started...
Nov  2 20:23:06 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) complete.
Nov  2 20:23:06 localhost dhclient: Internet Systems Consortium DHCP Client 4.1.0p1
Nov  2 20:23:06 localhost dhclient: Copyright 2004-2009 Internet Systems Consortium.
Nov  2 20:23:06 localhost dhclient: All rights reserved.
Nov  2 20:23:06 localhost dhclient: For info, please visit http://www.isc.org/sw/dhcp/
Nov  2 20:23:06 localhost dhclient: 
Nov  2 20:23:06 localhost NetworkManager: <info>  DHCP: device eth1 state changed normal exit -> preinit
Nov  2 20:23:06 localhost dhclient: Listening on LPF/eth1/00:80:48:42:c3:0f
Nov  2 20:23:06 localhost dhclient: Sending on   LPF/eth1/00:80:48:42:c3:0f
Nov  2 20:23:06 localhost dhclient: Sending on   Socket/fallback
Nov  2 20:23:08 localhost pulseaudio[3406]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  2 20:23:09 localhost dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67
Nov  2 20:23:09 localhost dhclient: DHCPACK from 10.0.38.1
Nov  2 20:23:09 localhost NetworkManager: <info>  DHCP: device eth1 state changed preinit -> reboot
Nov  2 20:23:09 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP4 Configure Get) scheduled...
Nov  2 20:23:09 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP4 Configure Get) started...
Nov  2 20:23:09 localhost NetworkManager: <info>    address 10.0.39.227
Nov  2 20:23:09 localhost NetworkManager: <info>    prefix 23 (255.255.254.0)
Nov  2 20:23:09 localhost NetworkManager: <info>    gateway 10.0.39.250
Nov  2 20:23:09 localhost NetworkManager: <info>    nameserver '195.138.80.33'
Nov  2 20:23:09 localhost NetworkManager: <info>  Activation (eth1) Stage 5 of 5 (IP Configure Commit) scheduled...
Nov  2 20:23:09 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP4 Configure Get) complete.
Nov  2 20:23:09 localhost NetworkManager: <info>  Activation (eth1) Stage 5 of 5 (IP Configure Commit) started...
Nov  2 20:23:09 localhost avahi-daemon[2508]: Joining mDNS multicast group on interface eth1.IPv4 with address 10.0.39.227.
Nov  2 20:23:09 localhost dhclient: bound to 10.0.39.227 -- renewal in 4507 seconds.
Nov  2 20:23:09 localhost avahi-daemon[2508]: New relevant interface eth1.IPv4 for mDNS.
Nov  2 20:23:09 localhost avahi-daemon[2508]: Registering new address record for 10.0.39.227 on eth1.IPv4.
Nov  2 20:23:10 localhost ntpd[2872]: Listening on interface #41 eth1, 10.0.39.227#123 Enabled
Nov  2 20:23:10 localhost NetworkManager: <info>  (eth1): device state change: 7 -> 8 (reason 0)
Nov  2 20:23:10 localhost nscd: 7953 Access Vector Cache (AVC) запущен
Nov  2 20:23:10 localhost NetworkManager: <info>  Policy set 'System eth1' (eth1) as default for routing and DNS.
Nov  2 20:23:10 localhost NetworkManager: <info>  Activation (eth1) successful, device activated.
Nov  2 20:23:10 localhost NetworkManager: <info>  Activation (eth1) Stage 5 of 5 (IP Configure Commit) complete.
Comment 3 Dan Williams 2009-11-06 20:20:27 EST
You'll want to put those options into the specific dhclient.conf for your interface, not for every interface.  Try putting the classes options into /etc/dhclient-eth0.conf instead.

For PPPoE, please update to latest rawhide which will fix the issue.  Thanks!

*** This bug has been marked as a duplicate of bug 532862 ***
Comment 4 Serge Pavlovsky 2009-11-07 02:59:22 EST
i've managed to get classless routes working, but its not enough
now i have to manually ifup ppp0 because nm breaks default route

dsl connection in nm stil doesnt work
it clears password field after each connection attempt, i reentered it before each test

log:

Nov  7 09:55:14 localhost NetworkManager: <info>  (eth1): device state change: 8 -> 3 (reason 0)
Nov  7 09:55:14 localhost NetworkManager: <info>  (eth1): deactivating device (reason: 0).
Nov  7 09:55:14 localhost NetworkManager: <info>  (eth1): canceled DHCP transaction, dhcp client pid 29296
Nov  7 09:55:14 localhost NetworkManager: <WARN>  check_one_route(): (eth1) error -34 returned from rtnl_route_del(): Sucess#012
Nov  7 09:55:14 localhost avahi-daemon[1612]: Withdrawing address record for 10.0.39.227 on eth1.
Nov  7 09:55:14 localhost avahi-daemon[1612]: Leaving mDNS multicast group on interface eth1.IPv4 with address 10.0.39.227.
Nov  7 09:55:14 localhost avahi-daemon[1612]: Interface eth1.IPv4 no longer relevant for mDNS.
Nov  7 09:55:14 localhost nscd: 29593 Access Vector Cache (AVC) запущен
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) starting connection 'DSL-соединение 1'
Nov  7 09:55:14 localhost NetworkManager: <info>  (eth1): device state change: 3 -> 4 (reason 0)
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) started...
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) starting...
Nov  7 09:55:14 localhost NetworkManager: <info>  (eth1): device state change: 4 -> 5 (reason 0)
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) successful.
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) scheduled.
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) complete.
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) started...
Nov  7 09:55:14 localhost NetworkManager: <info>  (eth1): device state change: 5 -> 7 (reason 0)
Nov  7 09:55:14 localhost NetworkManager: <info>  Starting pppd connection
Nov  7 09:55:14 localhost pppd[29607]: Warning: can't open options file /root/.ppprc: Permission denied
Nov  7 09:55:14 localhost pppd[29607]: Plugin rp-pppoe.so loaded.
Nov  7 09:55:14 localhost pppd[29607]: RP-PPPoE plugin version 3.3 compiled against pppd 2.4.4
Nov  7 09:55:14 localhost pppd[29607]: Plugin /usr/lib64/pppd/2.4.4/nm-pppd-plugin.so loaded.
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) scheduled...
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) complete.
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) started...
Nov  7 09:55:14 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) complete.
Nov  7 09:55:14 localhost pppd[29607]: pppd 2.4.4 started by root, uid 0
Nov  7 09:55:14 localhost pppd[29607]: PPP session is 79
Nov  7 09:55:14 localhost pppd[29607]: Using interface ppp0
Nov  7 09:55:14 localhost pppd[29607]: Failed to create pid file /var/run/ppp0.pid: Permission denied
Nov  7 09:55:14 localhost pppd[29607]: Connect: ppp0 <--> eth1
Nov  7 09:55:15 localhost setroubleshoot: SELinux is preventing /usr/sbin/pppd "write" access on ppp0.pid. For complete SELinux messages. run sealert -l fafe8e00-93dd-47b1-94c5-25fd58b41ccd
Nov  7 09:55:15 localhost ntpd[1935]: Deleting interface #45 eth1, 10.0.39.227#123, interface stats: received=0, sent=0, dropped=0, active_time=336 secs
Nov  7 09:55:18 localhost pppd[29607]: CHAP authentication failed
Nov  7 09:55:18 localhost pppd[29607]: CHAP authentication failed
Nov  7 09:55:18 localhost pppd[29607]: Connection terminated.
Nov  7 09:55:18 localhost NetworkManager: <info>  (eth1): device state change: 7 -> 9 (reason 13)
Nov  7 09:55:18 localhost NetworkManager: <info>  Marking connection 'DSL-соединение 1' invalid.
Nov  7 09:55:18 localhost NetworkManager: <info>  Activation (eth1) failed.
Nov  7 09:55:18 localhost NetworkManager: <info>  (eth1): device state change: 9 -> 3 (reason 0)
Nov  7 09:55:18 localhost NetworkManager: <info>  (eth1): deactivating device (reason: 0).
Nov  7 09:55:18 localhost pppd[29607]: Exit.
Nov  7 09:55:18 localhost pulseaudio[3265]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  7 09:55:21 localhost NetworkManager: <info>  Activation (eth1) starting connection 'System eth1'
Nov  7 09:55:22 localhost NetworkManager: <info>  (eth1): device state change: 3 -> 4 (reason 0)
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) started...
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) starting...
Nov  7 09:55:22 localhost NetworkManager: <info>  (eth1): device state change: 4 -> 5 (reason 0)
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) successful.
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) scheduled.
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) complete.
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) started...
Nov  7 09:55:22 localhost NetworkManager: <info>  (eth1): device state change: 5 -> 7 (reason 0)
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Beginning DHCP transaction (timeout in 45 seconds)
Nov  7 09:55:22 localhost NetworkManager: <info>  dhclient started with pid 29672
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) scheduled...
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5 (IP Configure Start) complete.
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) started...
Nov  7 09:55:22 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP6 Configure Get) complete.
Nov  7 09:55:22 localhost dhclient: Internet Systems Consortium DHCP Client 4.1.0p1
Nov  7 09:55:22 localhost dhclient: Copyright 2004-2009 Internet Systems Consortium.
Nov  7 09:55:22 localhost dhclient: All rights reserved.
Nov  7 09:55:22 localhost dhclient: For info, please visit http://www.isc.org/sw/dhcp/
Nov  7 09:55:22 localhost dhclient: 
Nov  7 09:55:22 localhost dhclient: parse_option_param: Bad format a
Nov  7 09:55:22 localhost dhclient: Listening on LPF/eth1/00:80:48:42:c3:0f
Nov  7 09:55:22 localhost dhclient: Sending on   LPF/eth1/00:80:48:42:c3:0f
Nov  7 09:55:22 localhost dhclient: Sending on   Socket/fallback
Nov  7 09:55:22 localhost NetworkManager: <info>  DHCP: device eth1 state changed normal exit -> preinit
Nov  7 09:55:23 localhost pulseaudio[3265]: sap.c: sendmsg() failed: Недопустимый аргумент
Nov  7 09:55:26 localhost dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67
Nov  7 09:55:26 localhost dhclient: DHCPACK from 10.0.38.1
Nov  7 09:55:26 localhost NetworkManager: <info>  DHCP: device eth1 state changed preinit -> reboot
Nov  7 09:55:26 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP4 Configure Get) scheduled...
Nov  7 09:55:26 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP4 Configure Get) started...
Nov  7 09:55:26 localhost NetworkManager: <info>    address 10.0.39.227
Nov  7 09:55:26 localhost NetworkManager: <info>    prefix 23 (255.255.254.0)
Nov  7 09:55:26 localhost NetworkManager: <info>    classless static route 195.138.80.24/32 gw 10.0.39.250
Nov  7 09:55:26 localhost NetworkManager: <info>    classless static route 195.138.68.88/29 gw 10.0.39.250
Nov  7 09:55:26 localhost NetworkManager: <info>    classless static route 195.138.78.64/28 gw 10.0.39.250
Nov  7 09:55:26 localhost NetworkManager: <info>    classless static route 195.138.80.40/32 gw 10.0.39.250
Nov  7 09:55:26 localhost NetworkManager: <info>    classless static route 195.138.80.54/32 gw 10.0.39.250
Nov  7 09:55:26 localhost NetworkManager: <info>    classless static route 195.138.80.50/32 gw 10.0.39.250
Nov  7 09:55:26 localhost NetworkManager: <info>    classless static route 195.138.80.33/32 gw 10.0.39.250
Nov  7 09:55:26 localhost NetworkManager: <info>    classless static route 10.0.0.0/8 gw 10.0.39.250
Nov  7 09:55:26 localhost NetworkManager: <info>    classless static route 192.168.0.0/16 gw 10.0.39.250
Nov  7 09:55:26 localhost NetworkManager: <info>    gateway 10.0.39.250
Nov  7 09:55:26 localhost NetworkManager: <info>    nameserver '195.138.80.33'
Nov  7 09:55:26 localhost NetworkManager: <info>  Activation (eth1) Stage 5 of 5 (IP Configure Commit) scheduled...
Nov  7 09:55:26 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5 (IP4 Configure Get) complete.
Nov  7 09:55:26 localhost NetworkManager: <info>  Activation (eth1) Stage 5 of 5 (IP Configure Commit) started...
Nov  7 09:55:26 localhost avahi-daemon[1612]: Joining mDNS multicast group on interface eth1.IPv4 with address 10.0.39.227.
Nov  7 09:55:26 localhost avahi-daemon[1612]: New relevant interface eth1.IPv4 for mDNS.
Nov  7 09:55:26 localhost avahi-daemon[1612]: Registering new address record for 10.0.39.227 on eth1.IPv4.
Nov  7 09:55:26 localhost dhclient: bound to 10.0.39.227 -- renewal in 4611 seconds.
Nov  7 09:55:27 localhost nscd: 29685 Access Vector Cache (AVC) запущен
Nov  7 09:55:27 localhost NetworkManager: <info>  (eth1): device state change: 7 -> 8 (reason 0)
Nov  7 09:55:27 localhost nscd: 29707 Access Vector Cache (AVC) запущен
Nov  7 09:55:27 localhost NetworkManager: <info>  Policy set 'System eth1' (eth1) as default for routing and DNS.
Nov  7 09:55:27 localhost NetworkManager: <info>  Activation (eth1) successful, device activated.
Nov  7 09:55:27 localhost NetworkManager: <info>  Activation (eth1) Stage 5 of 5 (IP Configure Commit) complete.


log of working ifup ppp0:

Nov  7 09:56:15 localhost pppd[29829]: pppd 2.4.4 started by root, uid 0
Nov  7 09:56:15 localhost pppd[29829]: Using interface ppp0
Nov  7 09:56:15 localhost pppd[29829]: Connect: ppp0 <--> /dev/pts/6
Nov  7 09:56:15 localhost pppoe[29830]: PPP session is 194 (0xc2)
Nov  7 09:56:15 localhost pppd[29829]: CHAP authentication succeeded
Nov  7 09:56:15 localhost pppd[29829]: CHAP authentication succeeded
Nov  7 09:56:15 localhost pppd[29829]: local  IP address 85.238.107.53
Nov  7 09:56:15 localhost pppd[29829]: remote IP address 195.138.80.170
Nov  7 09:56:15 localhost pppd[29829]: primary   DNS address 195.138.80.56
Nov  7 09:56:15 localhost pppd[29829]: secondary DNS address 195.138.80.33
Nov  7 09:56:16 localhost NET[29865]: /etc/sysconfig/network-scripts/ifup-post : updated /etc/resolv.conf


ps of nm's pppd:

[root@localhost ppp]# ps aux | grep ppp
root     27059  0.0  0.0  70136  2956 ?        S    09:34   0:00 /usr/sbin/pppd nodetach lock nodefaultroute user pal plugin rp-pppoe.so nic-eth1 rp_pppoe_service tenet noauth nodeflate usepeerdns mru 1492 mtu 1492 lcp-echo-failure 3 lcp-echo-interval 20 ipparam /org/freedesktop/NetworkManager/PPP/15 plugin /usr/lib64/pppd/2.4.4/nm-pppd-plugin.so


ps of s-c-n's pppd:

[root@localhost ppp]# ps ax|grep ppp
28663 pts/5    S      0:00 /bin/bash /sbin/pppoe-connect /etc/sysconfig/network-scripts/ifcfg-tenet
28687 ?        Ss     0:00 /usr/sbin/pppd pty /usr/sbin/pppoe -p /var/run/pppoe-adsl.pid.pppoe -I eth1 -T 80 -U  -m 1412    ipparam tenet linkname ppp0 noipdefault noauth default-asyncmap defaultroute hide-password nodetach usepeerdns mtu 1492 mru 1492 noaccomp nodeflate nopcomp novj novjccomp user pal lcp-echo-interval 20 lcp-echo-failure 3
28688 ?        S      0:00 /usr/sbin/pppoe -p /var/run/pppoe-adsl.pid.pppoe -I eth1 -T 80 -U -m 1412
Comment 5 Bug Zapper 2009-11-16 09:41:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Dan Williams 2010-04-13 19:40:15 EDT
When you say "but its not enough now i have to manually ifup ppp0 because nm breaks default route", how exactly do you mean that NM breaks the default route?  You can force connections (and thus devices) to never be the default route through the GATEWAYDEV/GATEWAY option in ifcfg files or through the "only use this connection for resources on its network" option in the connection editor.

To debug further, could you get the 'route -n' output from (1) when it is configured correctly, and (2) when it is configured incorrectly with NM.

THanks!
Comment 7 Serge Pavlovsky 2010-07-24 20:24:50 EDT
i have different isp atm with slightly different setup and can't check issue with default route
but i still have problem with f13's current nm
i have pppoe connection setup with s-c-n and it works
i also have same connection setup with nm and it doesn't work

i entered passwd in DSL tab of connection's dialog
nevertheless, when i try to activate connection, nm asks passwd again
i type it, but it asks again
in the end pppd says in log MS-CHAP authentication failed: bad username or password
i checked with gdb in nm-pppd-plugin.c:get_credentials after dbus_g_proxy_call(...) my_username is right, but my_password is empty
i also added printf in pppd auth.c:get_secret after chap_passwd_hook and again client is right, but secbuf is empty

i dont know how to debug dbus
Comment 8 Serge Pavlovsky 2010-08-30 18:59:27 EDT
something changed since then, and password mostly works now:

1) i did ifdown ppp0 on s-c-n connection started few days ago
2) tried to start it via nm
3) nm asked about password
4) i closed window with (x) button
5) it didnt work
6) i tried again to start it
7) he asked again
8) i entered password
9) it didnt work
i checked /var/log/messages, it still prints username and password there
username and password were right, but somehow MS-CHAPv2 mutual authentication failed
i repeated steps 6-8 several times with no success
it puzzles me because nm connects automatically after login for some time now, see below

i ended user session to repeat test after login
after login it connected automatically
i believe it asks for password after reboot, but i press (x) and it connects without problems, but after restarting gnome it didn't ask for password

but it _only_connects_ whithout problems, it doesn't work without problems after connect:
many sites, for example www.wikipedia.org, don't work
ping works, but not firefox/links/wget
it looks like wget receives headers, but hangs on body
if i do telnet www.wikipedia.org 80 and wait, i receive answer with strange body
------------------
<HTML>
<HEAD>
<TITLE>Directory /</TITLE>
<BASE HREF="file:/">
</HEAD>
<BODY>
<H1>Directory listing of /</H1>
<UL>
<LI><A HREF="./">./</A>
<LI><A HREF="../">../</A>
<LI><A HREF=".autofsck">.autofsck</A>
<LI><A HREF=".dbus/">.dbus/</A>
<LI><A HREF="bin/">bin/</A>
<LI><A HREF="boot/">boot/</A>
<LI><A HREF="cgroup/">cgroup/</A>
<LI><A HREF="dev/">dev/</A>
<LI><A HREF="etc/">etc/</A>
<LI><A HREF="home/">home/</A>
<LI><A HREF="lib/">lib/</A>
<LI><A HREF="lib64/">lib64/</A>
<LI><A HREF="lost%2Bfound/">lost+found/</A>
<LI><A HREF="media/">media/</A>
<LI><A HREF="mnt/">mnt/</A>
<LI><A HREF="opt/">opt/</A>
<LI><A HREF="proc/">proc/</A>
<LI><A HREF="root/">root/</A>
<LI><A HREF="sbin/">sbin/</A>
<LI><A HREF="selinux/">selinux/</A>
<LI><A HREF="srv/">srv/</A>
<LI><A HREF="sys/">sys/</A>
<LI><A HREF="tmp/">tmp/</A>
<LI><A HREF="usr/">usr/</A>
<LI><A HREF="var/">var/</A>
</UL>
</BODY>
</HTML>

<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US">
<head>
<title>Topic Related Searching at HTTP.COM.</title>
<meta  name="description" content="Hypertext Transfer Protocol - Topic Related Searching (TRS)" />
<meta  name="keywords" content="http, hypertext, hypertext transfer protocol, topic related searching, trs, http.com, sponsored search results" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<frameset rows="*,0" frameborder="NO" border="0" framespacing="0">
  <frame name="mainFrame" src="http://domains.googlesyndication.com/apps/domainpark/domainpark.cgi?cid=ca-dp-og03&s=HTTP.com">
</frameset>
<noframes>
<body bgcolor="#FFFFFF">
Please visit <a href="http://domains.googlesyndication.com/apps/domainpark/domainpark.cgi?cid=ca-dp-og03&s=HTTP.com">this link</a> since your browser does not support frames.
</body>
</noframes>
</html>
-----------
i receive nothing repeating telnet test with s-c-n connection

i did ps ax|grep pppd, stopped nm connection, and ran pppd command by hand, removing "plugin /usr/lib64/pppd/2.4.5/nm-pppd-plugin.so" and changing "nodefaultroute" to "defaultroute"
and this worked great, so problem is not within pppd options
this puzzles me again
Comment 9 Serge Pavlovsky 2010-08-30 19:01:45 EDT
forgot to add, answer with strange body was answer with body only, ie without headers
Comment 10 Bug Zapper 2010-11-04 02:58:43 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-03 22:35:58 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.